VERSION 5.00
Begin VB.Form frmBinInt 
   Caption         =   "Binary Integers"
   ClientHeight    =   3240
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5505
   LinkTopic       =   "Form1"
   ScaleHeight     =   3240
   ScaleWidth      =   5505
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtTwos 
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   2760
      Width           =   5295
   End
   Begin VB.TextBox txtBinary 
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   1920
      Width           =   5295
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convert"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3840
      TabIndex        =   5
      Top             =   1320
      Width           =   1575
   End
   Begin VB.TextBox txtDenary 
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   1320
      Width           =   1575
   End
   Begin VB.Frame frBits 
      Caption         =   "Number of bits to use"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1095
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   5295
      Begin VB.OptionButton optBits 
         Caption         =   "8 bits (255)"
         Height          =   495
         Index           =   2
         Left            =   4320
         TabIndex        =   4
         TabStop         =   0   'False
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optBits 
         Caption         =   "16 bits (65535)"
         Height          =   495
         Index           =   1
         Left            =   2460
         TabIndex        =   3
         TabStop         =   0   'False
         Top             =   360
         Value           =   -1  'True
         Width           =   1215
      End
      Begin VB.OptionButton optBits 
         Caption         =   "24 bits (16777215)"
         Height          =   495
         Index           =   0
         Left            =   240
         TabIndex        =   2
         TabStop         =   0   'False
         Top             =   360
         Width           =   1575
      End
   End
   Begin VB.Label Label2 
      Caption         =   "Enter whole positive number"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   9
      Top             =   1320
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Two's Complement Form Of This Number"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   2400
      Width           =   5175
   End
End
Attribute VB_Name = "frmBinInt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim intBits As Integer
Private Sub cmdConvert_Click()
Dim strTemp As String
strTemp = txtDenary.Text
If IsNumeric(strTemp) <> True Then
MsgBox "You must enter a whole number", vbOKOnly, "Binary Converter"
Exit Sub
ElseIf Val(strTemp) < 0 Then
MsgBox "You must enter a positive whole number", vbOKOnly, "Binary Converter"
Exit Sub
ElseIf Val(strTemp) >= 2 ^ intBits Then
MsgBox "You need more bits to do this number", vbOKOnly, "Binary Converter"
Exit Sub
ElseIf Val(strTemp) <> CLng(strTemp) Then
MsgBox "You must enter a positive whole number", vbOKOnly, "Binary Converter"
Exit Sub
End If
Dim lngMyNum As Long
lngMyNum = Val(txtDenary.Text)
txtBinary.Text = makeBinaryInteger(lngMyNum, intBits)
txtTwos.Text = makeTwos(txtBinary.Text)
End Sub
Private Sub Form_Load()
intBits = 16
End Sub
Private Sub optBits_Click(Index As Integer)
intBits = 24 - (Index * 8)
End Sub
Private Sub txtDenary_KeyPress(KeyAscii As Integer)
If KeyAscii = 13 Then
cmdConvert_Click
End If
End Sub
