Attribute VB_Name = "modFunctions"
Option Explicit
Public Function makeBinaryInteger(lngNum As Long, intBits As Integer) As String
'function to convert an integer (lngNum) to binary using the specified number of bits (intBits) to return a string
Dim strBits() As String
ReDim strBits(intBits - 1)
Dim intIndex As Integer, intbit As Integer, lngDiv As Long
intIndex = 0
intbit = 0
lngDiv = lngNum
Do
intbit = lngDiv Mod 2
lngDiv = lngDiv \ 2
intIndex = intIndex + 1
strBits(intIndex - 1) = Trim(Str(intbit))
Loop Until lngDiv = 0
For intIndex = 0 To intBits - 1
If strBits(intIndex) <> "1" Then strBits(intIndex) = "0"
Next
Dim strTemp As String
strTemp = Join(strBits, "")
strTemp = StrReverse(strTemp)
makeBinaryInteger = strTemp
End Function
Public Function makeTwos(strBinary As String) As String
Dim intLength As Integer, intCounter As Integer
intLength = Len(strBinary)
Dim strSplit() As String
ReDim strSplit(intLength)
For intCounter = intLength To 1 Step -1
strSplit(intLength - intCounter) = Mid(strBinary, intCounter, 1)
Next
' flippin' bits
For intCounter = 0 To intLength - 1
If strSplit(intCounter) = "1" Then
strSplit(intCounter) = "0"
Else
strSplit(intCounter) = "1"
End If
Next
'adding 1
intCounter = 0
Dim intCarry As Integer
intCarry = 1
Do
If strSplit(intCounter) = "0" Then
intCarry = 0
strSplit(intCounter) = "1"
Else
strSplit(intCounter) = "0"
End If
intCounter = intCounter + 1
Loop Until intCarry = 0 Or intCounter = intLength
makeTwos = StrReverse(Join(strSplit, ""))
End Function
Public Function makeFraction(sglFraction As Single, intBits As Integer) As String
Dim strFraction() As String, intbit As Integer, intCounter As Integer
ReDim strFraction(intBits - 1)
For intCounter = 0 To intBits - 1
sglFraction = sglFraction * 2
intbit = Fix(sglFraction)
strFraction(intCounter) = Trim(Str(intbit))
sglFraction = sglFraction - intbit
Next
makeFraction = Join(strFraction, "")
End Function
Public Function makeDenaryInt(strBinary As String) As Long
strBinary = StrReverse(strBinary)
Dim intCounter As Integer, lngDecimal As Long
lngDecimal = 0
For intCounter = 1 To Len(strBinary)
If Mid(strBinary, intCounter, 1) = "1" Then
lngDecimal = lngDecimal + 2 ^ (intCounter - 1)
End If
Next
makeDenaryInt = lngDecimal
End Function
